unit TestPrU1;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Protok16;

type
  TForm1 = class(TForm)
    Protokoll1: TProtokoll;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Protokoll1Error(FehlerCode: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 {Protokoll aktivieren}
 Protokoll1.Enabled:=True;
 {Schon mal einen Eintrag in die Editzeile schreiben}
 Edit1.Text:='Testeintrag fuer die PROTOKOL.TXT';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Protokoll1.Text:=Edit1.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Protokoll1Error(FehlerCode: Integer);
Var
 Ausgabe : String;

begin
  Case FehlerCode of
   0 : Ausgabe := 'Protokolldatei wird nicht gefhrt!';
   1 : Ausgabe := 'Fehler beim Erzeugen der Protokolldatei!';
   2 : Ausgabe := 'Fehler beim Ermitteln der Protokolldateigre!';
   3 : Ausgabe := 'Fehler beim Lschen der Sicherheits-Protokolldatei!'+#10+
                  'Datei moeglicherweise schreibgeschuetzt!';
   4 : Ausgabe := 'Fehler beim Umbenennen der Protokolldatei!';
   5 : Ausgabe := 'Fehler beim Schreiben in die Protokolldatei!';
   6 : Ausgabe := 'Fehler beim Zugriff auf die Protokolldatei!'+#10+
                  'Datei moeglicherweise schreibgeschuetzt!';
  end;
 ShowMessage(Ausgabe);
end;

end.
